> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json get /api/v1/jobs/{job_id}
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/jobs/{job_id}:
    get:
      tags:
        - jobs
      summary: Get Job
      parameters:
        - schema:
            type: string
            format: uuid
          required: true
          name: job_id
          in: path
      responses:
        '200':
          description: Job
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobErrorBody'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobErrorBody'
      security:
        - bearerAuth: []
components:
  schemas:
    JobResponse:
      type: object
      properties:
        job_id:
          type: string
          format: uuid
        status:
          type: string
          enum:
            - pending
            - processing
            - completed
            - partial
            - failed
            - cancelled
        source_ids:
          type: array
          items:
            type: integer
        result:
          $ref: '#/components/schemas/IngestionJobResult'
        error_message:
          type: string
          nullable: true
        created_at:
          type: string
          format: date-time
        started_at:
          type: string
          nullable: true
          format: date-time
        completed_at:
          type: string
          nullable: true
          format: date-time
      required:
        - job_id
        - status
        - source_ids
        - result
        - error_message
        - created_at
        - started_at
        - completed_at
    JobErrorBody:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    IngestionJobResult:
      type: object
      nullable: true
      properties:
        source_ids:
          type: array
          items:
            type: integer
        failed_source_ids:
          type: array
          items:
            type: integer
        memory_count:
          type: integer
        entity_count:
          type: integer
        edge_count:
          type: integer
        tokens_used:
          type: integer
        source_errors:
          type: object
          additionalProperties:
            type: string
        error_message:
          type: string
      required:
        - source_ids
        - failed_source_ids
        - memory_count
        - entity_count
        - edge_count
        - tokens_used
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````